Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5098 - imap doesn't make a -devel package
Summary: imap doesn't make a -devel package
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: imap
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-13 06:40 UTC by carenas
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-14 02:07:37 UTC


Attachments (Terms of Use)

Description carenas 1999-09-13 06:40:35 UTC
imap support is needed for other packages to work.

there is an static library that could be used on a -devel
package for linking with packages the need imap support
(php comes to mind)

the only thing that is really needed is to copy the
c-client.a library to /usr/lib and copy the include files to
/usr/include/imap, hopefully, we could have a .so imap
library soon

on every package that needs imap support adding -I
/usr/include/imap and /usr/lib/c-client.a to source files
will be all what is needed.  actually, i am crossposting a
bug for php package for adding this link and taking the full
source out of spec.

the following should be added to imap.spec to get this
package

%package devel
Summary: Development tools for programs which will use the
imap library
Group: Development/Libraries

%description devel
This package contains the header files and static libraries
for developing programs which will use the imap library.

%install
mkdir -p $RPM_BUILD_ROOT/usr/lib
install -m 644 ./c-client/c-client.a $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/usr/include/imap
install -m 644 ./c-client/*.h
$RPM_BUILD_ROOT/usr/include/imap
install -m 644 ./src/osdep/tops-20/shortsym.h
$RPM_BUILD_ROOT/usr/include/imap

%files devel
%doc docs/*
/usr/include/imap
/usr/lib/c-client.a

Comment 1 Preston Brown 2000-01-14 02:07:59 UTC
fixed for 6.2.  A static development library has been provided, if people wish
to install it.


Note You need to log in before you can comment on or make changes to this bug.